Page MenuHomePhabricator

[xray] Remove usage of procid_t
ClosedPublic

Authored by aganea on May 15 2019, 7:34 AM.

Details

Summary

I'm doing some refactoring in llvm/Support/Program.h and I've noticed that xray uses sys::procid_t but doesn't really need it (a uint32_t thread id is always stored in that map)

Diff Detail

Repository
rL LLVM

Event Timeline

aganea created this revision.May 15 2019, 7:34 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 15 2019, 7:34 AM
aganea marked an inline comment as done.May 15 2019, 7:34 AM
aganea added inline comments.
tools/llvm-xray/xray-account.h
80 ↗(On Diff #199606)

I also noticed this isn't used - please let me know if you want to keep it.

rnk accepted this revision.Jun 25 2019, 1:40 PM

lgtm, the serialized types are uint32_t:

struct alignas(32) XRayRecord {
...
  // The thread ID for the currently running thread.
  uint32_t TId = 0;

  // The ID of process that is currently running
  uint32_t PId = 0;
This revision is now accepted and ready to land.Jun 25 2019, 1:40 PM

Thank you! :)

dberris accepted this revision.Jun 25 2019, 11:42 PM

LGTM -- really sorry for the delay here, for some reason I didn't get to this earlier. :(

Closed by commit rL364439: [xray] Remove usage of procid_t (authored by aganea, committed by ). · Explain WhyJun 26 2019, 8:43 AM
This revision was automatically updated to reflect the committed changes.